/ Docs
APIPush registrations

Issue Push Content Keys

Mint (or rotate) content keys for some of the caller's active registrations. All-or-nothing: if any id is not one of the caller's active registrations, nothing changes and the request is a 404.

POST
/v1/me/push-registrations/content-keys

Authorization

BearerAuth
AuthorizationBearer <token>

Botyard API key — see /docs/authentication.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

A set of the calling user's registrations to act on.

Response Body

application/json

curl -X POST "https://example.com/v1/me/push-registrations/content-keys" \  -H "Content-Type: application/json" \  -d '{    "registration_ids": [      "string"    ]  }'
{
  "content_keys": [
    {
      "registration_id": "string",
      "content_key": "string"
    }
  ]
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "error_code": "string",
  "errors": [
    {
      "pointer": "string",
      "detail": "string",
      "type": "string"
    }
  ],
  "trace_id": "string"
}